Skip to main content

Configure PostgreSQL Instance​

This API creates Cloud Database Instance for PostgreSQL.

All the databases in the PostgreSQL instance will be backed up after creation.

Use GET azuredb/postgresql/instance API to get the instanceName and port.

Request Body
  • instanceName string

    Name of the PostgreSQL instance or 'PostgreSQL Azure Resource Discovery' for rule based discovery instance creation

  • clientId integer
  • clientName string
  • planId integer
  • credential object

    Database connection credentials

  • id integer
  • name string
  • backupGateways object[]

    List of backupGateways or backupGatewayGroups for the instance backup

    Optional : Not required if the useResourcePoolInfo is set to true

  • id integer
  • name string
  • type integer

    3 for backupGateways, 28 for backupGatewayGroups

  • ruleGroups object[]

    Rules to associate with the Auto discovery instance during rule based discovery instance creation

  • matchCriteria integer
  • ruleEntities object[]
  • ruleDefinition object
  • type integer
  • value string
  • matchType integer
  • useResourcePoolInfo boolean

    true if configured resource pools will be used for the jobs

  • postGreSQLInstance object
  • MaintainenceDB string
  • port string

    Database endpoint or hostname

  • EnableAutoDiscovery boolean
  • version string

    PostgreSQL Instance version. Not applicable for Rule based discovery instance creation

  • region object

    RegionInfo where the resourcepools are configured

  • id integer
  • name string
Responses

OK


Schema
  • instance object
  • id integer
  • name string
Loading...